Can't install python next generation rule engine

Tags: #<Tag:0x00007f616f40d9e0> #<Tag:0x00007f616f40d878>

Hi,

I’ve been trying to experiment with the next-gen rule engine, and followed the python instructions here. But nothing seems to happen - no errors, no log entries - nothing. I’ve restarted openHAB and the PC several times to no avail.

The automation directory is in place as required. The next-gen rule engine add-on is installed. EXTRA_JAVA_OPTS is modified, and all the other steps followed.

I’d be grateful for any pointers - even just an idea of how to debug this would be great!

thanks,

Dan

Currently, the easiest way set this up is to use the beta bundle…

I am testing two bundles now… one for Jython and another one for the libraries. I hope to have these out this weekend and with any luck they will get included in a 2.5 release.

If you are not seeing any log entries, I’d guess that you probably do not have the logging setup properly. What do you see after running log:get in the console?

1 Like

Thank you!

The good news it that, whilst it doesn’t work, I do get an error in the log:

Error while starting bundle: file:/usr/share/openhab2/addons|
/org.openhab.core.automation.module.script.scriptenginefactory.jython-2.5.0-SNAPSHOT.jar                                             
org.osgi.framework.BundleException: Could not resolve module: 
org.openhab.core.automation.module.script.scriptenginefactory.jython [203]                                                                                                                                  
Unresolved requirement: Import-Package: org.openhab.core.automation.module.script; version="[2.5.0,3.0.0)"

I’ve tried clearing the cache and restarting, but still get the error.

I’m using the official linux package (not docker) and the 2.5.3 release build.

Any help would be really appreciated!

Dan

Double check that the new rule engine has been installed. What do you see when you execute this in the console…

list -s | grep automation
1 Like

That looks okay:

203 ┃ Installed ┃  80 ┃ 2.5.0.202001221001┃org.openhab.core.automation.module.script.scriptenginefactory.jython

Its installed but not active.

I think you may have to enable it by

bundle:start 203 ( Not sure but along these lines I think)

Nope… looks like you do not have the rule engine installed. You can add it through Paper UI. What you see there is the beta Jython bundle, which has a dependency on the rule engine, so it can’t start.

1 Like

doh! I’d uninstalled it when my first attempts didn’t work, and then forgetten to reinstall it when trying the beta…

thank you!

1 Like